WAISQ(1)

NAME
waisq

DESCRIPTION

This is a shell level interface to WAIS questions that have been built using xwais. It allows a user to submit questions to sources for queries, and to retrieve documents from questions (and the appropriate source). It can build or modify a question, including the modification performed during a search.

USAGE

waisq \
  [-f question_file] /* defaults to stdin, stdout */
  [-s sourcedir] /* or ~/wais-sources/ */
  [-S sourcename]
  [-c common_sourcedir] /* or it is ignored */
  [-m max_Result_Docs] /* defaults to 40 */
  [-v document_number]
  [-g] /* to do a search */
  [-h] /* this message */
  [-t] /* test a source */
  [-V] /* print version */
  [word [word [...]]]
or

waisq - [other options] /* for interactive mode */

OPTIONS

-f question_filename
    the pathname for a question structure as stored in a file. It uses standard UNIX conventions. If no filename is provided, stdin is used. If the filename is a dash ( - ), no question will be read, so you must specify a sourcename and the words to search. This will create a question structure and write it to stdout.

-s sourcedir
    a directory where source structures are stored. It must end with a '/'. If it is not specified, ~/wais-sources/ is used. If none of those exist, the application will probably fail, unless the common_sourcedir exists. Only files that end in .src in the directory are considered sources.

-S sourcename
    the pathname of a source structure file. It must exist in sourcedir or common_sourcedir, and end in .src

-c common_sourcedir
    Similar to sourcedir, but usually common for a site. It need not exist.

-m maxDocs
    The limit on the number of results returned by a server. Default value is 40.

-v document_number
    The number of the document to retrieve from a valid query. This can be from a previously stored question, or the current question if the -g option is used.

-t  Test a source to see if it is servicing wais requests. The first word will be taken as the name of a source.

-g  Submit the query. You must specify the -g option in order to actually perform a query. You need not specify it if you have already performed a query from which you wish to retrieve a document.

-V  Print the version number and date of the program.

word...
    optional search keywords to replace any search keywords in the question.

-   If the first argument is a dash ( - ) then waisq operates in an interactive mode. It then reads question structures from standard input, and returns results to standard output. If the question has search-words or relevant documents, it performs the query, and returns the resulting question structure to standard output. If there are only result documents, it retrieves them and prints them to standard output. It continues to read it's input until an end of file is encountered, and then it exits. All other command line switches will work, except -f. This makes waisq useful as a tool for user interfaces to access the WAIS system.

EXAMPLES

to create a new question and submit it for a query:
    waisq -f - -S sourcename -g word1 word2 > my_question

to submit an existing question for query:
    waisq -f question_name -g

To retrieve a response:
    waisq -f question_name -v 1

SEE ALSO
waisserver(1), waisindex(1), waissearch(1), xwais(1), xwaisq(1)

Wide Area Information Servers Concepts by Brewster Kahle.
brewster@think.com

DIAGNOSTICS
The diagnostics produced by the application are meant to be self-explanatory.

BUGS

AUTHOR
Jonny Goldman <Jonathan@Think.COM>